spring:
  config:
    activate:
      on-profile: dev #测试环境
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: 9ab8fad748dead93
    url: jdbc:mysql://42.192.165.168:3306/HeartRateBand?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&useSSL=false&serverTimezone=GMT%2b8 #&serverTimezone=UTC
#    url: jdbc:mysql://sh-cdb-bicdi0n4.sql.tencentcdb.com:60441/TPlat?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC&useSSL=false

    hikari:
      minimum-idle: 5
      maximum-pool-size: 15
      auto-commit: true
      idle-timeout: 30000
      max-lifetime: 120000
      connection-timeout: 30000
      connection-test-query: SELECT 1
    type: com.zaxxer.hikari.HikariDataSource
    tomcat:
      test-while-idle: true
  jpa:
    show-sql: true
    database-platform: org.hibernate.dialect.MySQLDialect


  redis:
    host: 42.192.165.168
    port: 6379
    lettuce: # 这里标明使用lettuce配置
      pool:
        max-active: 8   #连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms  #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 8     #连接池中的最大空闲连接
        min-idle: 0     #连接池中的最小空闲连接
      timeout: 10000ms    #连接超时时间（毫秒）
    password: abc123456abc-test
  data: #工程中只是把redis作为缓存,并未使用redis作为数据持久化存储源repository使用.
    redis:
      repositories:
        enabled: false

wechat:
  wxAppId: 132
  wxAppSecret: 123

wx:
  miniapp:
    configs:
      - appid: wxd6dfd60729d33d17 #微信小程序的appid
        secret: d188d76423ecc86a96e4315943c0fd7b #微信小程序的Secret
        token: 11 #微信小程序消息服务器配置的token
        aesKey: 11 #微信小程序消息服务器配置的EncodingAESKey
        msgDataFormat: JSON


server:
  servlet:
    context-path: /api_dev

#阿里云
aliyun:
  bucketName: bbeng-test-bucket # 测试环境 bucket

#文件管理地址
filemanager:
  root: D:/TESTSAVE

# 用户钱包参数
userWallets:
  defaultGold: 100000 #新用户默认奖励金币
  defaultDiamond: 100000 #新用户默认奖励钻石

#是否需要输入验证码
captcha:
  enable: false
